How to install Adobe plugins please?

General support questions including new installations

How to install Adobe plugins please?

Postby Art11 » 2012/03/12 15:56:07

Hello,
How to install those really annoying Adobe plugins to run videos in Firefox 10 that came with Linux 5.8 please?
I tried installing plugin with software installer. It seems installed but youtube videos still do not work. I tried reinstalling, but it says that the package is already installed...
Please help.

Thank you.
Regard, Art.
Art11
 
Posts: 26
Joined: 2011/09/03 21:31:35

How to install Adobe plugins please?

Postby pschaff » 2012/03/12 23:05:18

pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America

Re: How to install Adobe plugins please?

Postby vanecka » 2012/04/17 22:40:55

After installing the plugins, create a symbolic link to the .so file.
Open a console and log in as root. Execute the following command:
ln -s /usr/lib64/mozilla/plugins/libflashplayer.so /usr/lib64/flash-plugin/

Then close Firefox and reopen the page.
The above command is for a 64Bit machine.
If it doesn't work, tell me how you installed the plugins.
vanecka
 
Posts: 27
Joined: 2010/01/28 21:05:11
Location: University of the Free State - South Africa

Re: How to install Adobe plugins please?

Postby pschaff » 2012/04/17 23:05:38

Thanks for the advice; however, trying to create a symbolic link in place of a file that already exists is not recommended or effective:

Code: Select all
# rpm -qf /usr/lib64/flash-plugin/libflashplayer.so
flash-plugin-11.2.202.233-release.x86_64
# yum --noplugins --showduplicates --enablerepo \* --disablerepo c5-media,\*-source,\*debug\* whatprovides /usr/lib64/flash-plugin/libflashplayer.so
...
Finished
Importing additional filelist information
flash-plugin-11.2.202.233-release.x86_64 : Adobe Flash Player 11.2
Repo        : adobe-linux-x86_64
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-10.2-1.x86_64 : Adobe Flash Player
Repo        : atrpms-bleeding
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-11.0.1.60-0.1.el5.rf.x86_64 : Macromedia Flash Player
Repo        : rpmforge
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-11.1.102.63-0.1.el5.rf.x86_64 : Macromedia Flash Player
Repo        : rpmforge
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-11.0.1.60-0.2.el5.rf.x86_64 : Macromedia Flash Player
Repo        : rpmforge
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-11.1.102.62-0.1.el5.rf.x86_64 : Macromedia Flash Player
Repo        : rpmforge
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-10.3.162.29-0.1.el5.rf.x86_64 : Macromedia Flash Player
Repo        : rpmforge
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-11.0.1.129-0.1.el5.rf.x86_64 : Macromedia Flash Player
Repo        : rpmforge
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-11.0.1.98-0.1.el5.rf.x86_64 : Macromedia Flash Player
Repo        : rpmforge
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-10.2.161.23-0.1.el5.rf.x86_64 : Macromedia Flash Player
Repo        : rpmforge
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-11.0.1.152-0.1.el5.rf.x86_64 : Macromedia Flash Player
Repo        : rpmforge
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-11.0.2.55-0.1.el5.rf.x86_64 : Macromedia Flash Player
Repo        : rpmforge
Matched from:
Filename    : /usr/lib64/flash-plugin/libflashplayer.so


flash-plugin-11.2.202.233-release.x86_64 : Adobe Flash Player 7.0
Repo        : installed
Matched from:
Other       : Provides-match: /usr/lib64/flash-plugin/libflashplayer.so


# yum --noplugins --showduplicates --enablerepo \* --disablerepo c5-media,\*-source,\*debug\* whatprovides /usr/lib64/mozilla/plugins/libflashplayer.so
...
Importing additional filelist information
flash-plugin-10.2-1.x86_64 : Adobe Flash Player
Repo        : atrpms-bleeding
Matched from:
Filename    : /usr/lib64/mozilla/plugins/libflashplayer.so

Installing the latest flash-plugin package from either RPMforge or Adobe should suffice.
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America


Return to CentOS 5 - General Support

Who is online

Users browsing this forum: No registered users and 2 guests